<?php

namespace Actigraph\ActipageBaseBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Doctrine\Common\Collections\ArrayCollection;

/**
 * NewsletterUrl
 *
 * @ORM\Table(name="newsletter_url")
 * @ORM\Entity
 */
class NewsletterUrl
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var integer
     *
     * @ORM\Column(name="idNewsletter", type="bigint", nullable=false)
     */
    private $idnewsletter;

    /**
     * @var string
     *
     * @ORM\Column(name="url", type="string", length=255, nullable=false)
     */
    private $url;

    /**
     * @ORM\OneToMany(targetEntity="Actigraph\ActipageBaseBundle\Entity\NewsletterStatsClick", mappedBy="url")
     **/
    private $statsclick;
    function __construct()
    {
        $this->statsclick = new ArrayCollection();
    }
    /**
     * @var string
     *
     * @ORM\Column(name="url_titre", type="text", nullable=false)
     */
    private $urlTitre;

    /**
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param int $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * @return int
     */
    public function getIdnewsletter()
    {
        return $this->idnewsletter;
    }

    /**
     * @param int $idnewsletter
     */
    public function setIdnewsletter($idnewsletter)
    {
        $this->idnewsletter = $idnewsletter;
    }

    /**
     * @return string
     */
    public function getUrl()
    {
        return $this->url;
    }

    /**
     * @param string $url
     */
    public function setUrl($url)
    {
        $this->url = $url;
    }

    /**
     * @return string
     */
    public function getUrlTitre()
    {
        return $this->urlTitre;
    }

    /**
     * @param string $urlTitre
     */
    public function setUrlTitre($urlTitre)
    {
        $this->urlTitre = $urlTitre;
    }

    /**
     * @return mixed
     */
    public function getStatsclick()
    {
        return $this->statsclick;
    }

    /**
     * @param mixed $statsclick
     */
    public function setStatsclick($statsclick)
    {
        $this->statsclick = $statsclick;
    }


}
